#include "GesamtTeamStatistik.h"

// Inhalt der GesamtTeamStatistik Klasse aus GesamtTeamStatistik.h
// Konstruktor
GesamtTeamStatistik::GesamtTeamStatistik()
{
	teamNummer = 0;
	teamName = new Text();
	teamFarbe = 0;
	gewonneneRunden = 0;
	punkte = 0;
	linienLength = 0;
	kills = 0;
	tode = 0;
	ref = 1;
}

// Destruktor
GesamtTeamStatistik::~GesamtTeamStatistik()
{
	teamName->release();
}

// nicht constant
void GesamtTeamStatistik::initValues( InitDatei *dat )
{
	if( dat->wertExistiert( "TeamNummer" ) )
		teamNummer = *dat->zWert( "TeamNummer" );
	if( dat->wertExistiert( "TeamName" ) )
		*teamName = dat->zWert( "TeamName" )->getText();
	if( dat->wertExistiert( "TeamFarbe" ) )
		teamFarbe = *dat->zWert( "TeamFarbe" );
	if( dat->wertExistiert( "GewonneneRunden" ) )
		gewonneneRunden = *dat->zWert( "GewonneneRunden" );
	if( dat->wertExistiert( "Punkte" ) )
		punkte = *dat->zWert( "Punkte" );
	if( dat->wertExistiert( "LinienLänge" ) )
		linienLength = *dat->zWert( "LinienLänge" );
	if( dat->wertExistiert( "Kills" ) )
		kills = *dat->zWert( "Kills" );
	if( dat->wertExistiert( "Tode" ) )
		tode = *dat->zWert( "Tode" );
	dat->release();
}

// constant
int GesamtTeamStatistik::getTeamNummer() const
{
	return teamNummer;
}

Text *GesamtTeamStatistik::getTeamName() const
{
	return teamName ? teamName->getThis() : 0;
}

Text *GesamtTeamStatistik::zTeamName() const
{
	return teamName;
}

int GesamtTeamStatistik::getTeamFarbe() const
{
	return teamFarbe;
}

int GesamtTeamStatistik::getGewonneneRunden() const
{
	return gewonneneRunden;
}

int GesamtTeamStatistik::getPunkte() const
{
	return punkte;
}

int GesamtTeamStatistik::getLinienLength() const
{
	return linienLength;
}

int GesamtTeamStatistik::getKills() const
{
	return kills;
}

int GesamtTeamStatistik::getTode() const
{
	return tode;
}

// Reference Counting
GesamtTeamStatistik *GesamtTeamStatistik::getThis()
{
	ref++;
	return this;
}

GesamtTeamStatistik *GesamtTeamStatistik::release()
{
	ref--;
	if( !ref )
		delete this;
	return 0;
}